initlog(8)

NIMI
initlog - logib sõnumid ja sündmused süsteemilogijasse

KOKKUVÕTE
initlog [-cefnpqrs] [--cmd=ARG] [--event=ARG] [--facility=ARG] [--name=ARG] [--priority=ARG] [--run=ARG] [--string=ARG]

KIRJELDUS
initlog logib sõnumid ja sündmused süsteemilogijasse. See on peamiselt mõeldud kasutamiseks initsialiseerimisskriptide puhul. initlog loeb vaikimisi oma sätete määramiseks seadetefaili /etc/initlog.conf. Iga rida, millele eelneb #, on kommentaar ning tunnustatakse järgmisi korraldusi:

facility <logimisseade>
    Määrab logimise vaikeseadme

priority <logimisprioriteet>
    Määrab logimise vaikeprioriteedi

ignore <regulaaravaldis>
    Regulaaravaldisele vastavaid sõnumeid ei logita.

initlogi käitumist saab häälestada ka käsureavõtmetega.

  VÕTMED

-c, --cmd=[program]
    Käivitab määratud rakenduse, logides suvalise väljundi standardväljundisse või standardveateatesse.

-e, --event=[number]
    Logib määratud sündmuse juhtumise. Kasutatakse koos võtmega --name. Praegu on määratud sündmused:
     1  tegevus teostati edukalt
     2  tegevus ebaõnnestus
     3  tegevus katkestati kasutaja nõudel
     4  tegevus ebaõnnestus sõltuva tegevuse ebaõnnestumise tõttu

-f, --facility=[seade]
    Logib määratud syslogi seadmesse. Vaikimisi
    on daemon (see syslog(3)).

-n, --name=[string]
    Logib sündmuse määratud stringi all, näiteks
    "inetd".

-p, --priority=[priority]
    Logib määratud syslogi prioriteedi. Vaikimis
    on notice (see syslog(3)).

-q  Ei näita rakenduse väljundit, kui see just ei välju
    non-zero väljumiskoodiga.

-r, --run=[program]
    Käivitab määratud rakenduse avatud failideskriptoriga,
    nii et rakenus saab käsud saata tagasi initlog-ile.

-s, --string=[string]
    Logib määratud stringi logijasse.

--conf=[file]
    Määrab alternatiivse seadetefaili.

FAILID
/etc/initlog.conf

VAATA KA
syslog(3), logger(1)